package com.xhkjedu.suser.mapper.gradeclass;

import com.xhkjedu.suser.base.TkMapper;
import com.xhkjedu.suser.model.gradeclass.TClass;
import com.xhkjedu.suser.vo.gradeclass.ClassVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassMapper extends TkMapper<TClass> {
    //获取学校班级列表
    List<ClassVo> findAll(@Param("tClass") TClass tClass);

    //更新学生数量
    void updateNum(@Param("classid") Integer classid);

    //更新班级、分组学生数量
    void updateNum2(@Param("classid") Integer classid);

    //要升级的班级列表
    List<TClass> listClassBySchoolId(@Param("schoolid") Integer schoolid,@Param("year") Integer year);
    //升级时要毕业的班级列表
    List<TClass> listClassBiyeBySchoolId(@Param("schoolid") Integer schoolid,@Param("year") Integer year,@Param("classstate") Integer classstate);

    //要升级的班级id字符串
    String listClassIdBySchoolId(@Param("schoolid") Integer schoolid,@Param("year") Integer year);

    //基本信息
    ClassVo getById(Integer classid);

    //年级下班级id集合
    List<Integer> listClassidsByGradeid(@Param("gradeid") Integer gradeid,@Param("schoolid") Integer schoolid);

    //根据班级名称获取班级信息
    TClass getByName(@Param("tClass") TClass tClass);

    //获取任教老师列表
    List<String> listTeacher(@Param("classid") Integer classid);

    //修改班级状态
    void updateClassState(@Param("classstate") Integer classstate, @Param("classids") String classids);

    //修改单个班级状态
    Integer updateClassstateByClassid(@Param("classid") Integer classid, @Param("classstate") Integer classstate);

    //修改的那个班级类型
    Integer updateClasstype(@Param("classid") Integer classid, @Param("classtype") Integer classtype);

    //获取班级当前年份
    Integer getYearById(Integer classid);

    //根据班级名称获取班级id
    Integer getClassIdByName(String classname, Integer schoolid, Integer gradeid, Integer year);
}
